## org.eclipse.datatools.sqltools.result.internal.ui.export
Class ContainerContentProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.export.ContainerContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class ContainerContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ITreeContentProvider

Provides content for a tree viewer that shows only containers.

This class is copied from `org.eclipse.ui.internal.ide.misc.ContainerContentProvider`.

Constructor Summary
`ContainerContentProvider()` Creates a new ContainerContentProvider.

Method Summary
`void` `dispose()` The visual part that is using this content provider is about to be disposed.
`java.lang.Object[]` `getChildren(java.lang.Object element)`
`java.lang.Object[]` `getElements(java.lang.Object element)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`void` `showClosedProjects(boolean show)` Specify whether or not to show closed projects in the tree viewer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerContentProvider

    public ContainerContentProvider()

  Creates a new ContainerContentProvider.

Method Detail

### dispose

    public void dispose()

  The visual part that is using this content provider is about to be disposed. Deallocate all allocated SWT resources.

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object element)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object element)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### showClosedProjects

    public void showClosedProjects(boolean show)

  Specify whether or not to show closed projects in the tree viewer. Default is to show closed projects.

  Parameters:
    `show` - boolean if false, do not show closed projects in the tree